Package net.shibboleth.idp.saml.saml2.profile.config.navigate

# Class ProxyAwareAuthnContextComparisonLookupFunction

java.lang.Object
net.shibboleth.idp.saml.saml2.profile.config.navigate.ProxyAwareAuthnContextComparisonLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

public class ProxyAwareAuthnContextComparisonLookupFunction extends Object implements Function<ProfileRequestContext,String>
Implements a set of default logic for determining the `RequestedAuthnContext` operator to use.

This operates in two different scenarios: ordinary use and proxy SAML authentication use, detectable by whether the input context is parent-less (the former), or the child of an `AuthenticationContext`.

In normal use, the value returned is null.

In proxy use, the value returned is null unless the parent context itself contains a child context carrying a particular value. In other words, the proxy default is "passthrough" of the value.

Since:
  4.0.0

## Constructor Summary

Constructors
Constructor
Description
`ProxyAwareAuthnContextComparisonLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ProxyAwareAuthnContextComparisonLookupFunction

public ProxyAwareAuthnContextComparisonLookupFunction()

## Method Details

### apply

@Nullable public String apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`